/*
Core

Core API is used to manage resources around organisation like auth, set webhooks per channels, manage campaigns.

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package coreapi

import (
	"encoding/json"
)

// checks if the CampaignTargetContactsInner type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &CampaignTargetContactsInner{}

// CampaignTargetContactsInner struct for CampaignTargetContactsInner
type CampaignTargetContactsInner struct {
	Id *string `json:"id,omitempty"`
	Language *string `json:"language,omitempty"`
}

// NewCampaignTargetContactsInner instantiates a new CampaignTargetContactsInner object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewCampaignTargetContactsInner() *CampaignTargetContactsInner {
	this := CampaignTargetContactsInner{}
	return &this
}

// NewCampaignTargetContactsInnerWithDefaults instantiates a new CampaignTargetContactsInner object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewCampaignTargetContactsInnerWithDefaults() *CampaignTargetContactsInner {
	this := CampaignTargetContactsInner{}
	return &this
}

// GetId returns the Id field value if set, zero value otherwise.
func (o *CampaignTargetContactsInner) GetId() string {
	if o == nil || IsNil(o.Id) {
		var ret string
		return ret
	}
	return *o.Id
}

// GetIdOk returns a tuple with the Id field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *CampaignTargetContactsInner) GetIdOk() (*string, bool) {
	if o == nil || IsNil(o.Id) {
		return nil, false
	}
	return o.Id, true
}

// HasId returns a boolean if a field has been set.
func (o *CampaignTargetContactsInner) HasId() bool {
	if o != nil && !IsNil(o.Id) {
		return true
	}

	return false
}

// SetId gets a reference to the given string and assigns it to the Id field.
func (o *CampaignTargetContactsInner) SetId(v string) {
	o.Id = &v
}

// GetLanguage returns the Language field value if set, zero value otherwise.
func (o *CampaignTargetContactsInner) GetLanguage() string {
	if o == nil || IsNil(o.Language) {
		var ret string
		return ret
	}
	return *o.Language
}

// GetLanguageOk returns a tuple with the Language field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *CampaignTargetContactsInner) GetLanguageOk() (*string, bool) {
	if o == nil || IsNil(o.Language) {
		return nil, false
	}
	return o.Language, true
}

// HasLanguage returns a boolean if a field has been set.
func (o *CampaignTargetContactsInner) HasLanguage() bool {
	if o != nil && !IsNil(o.Language) {
		return true
	}

	return false
}

// SetLanguage gets a reference to the given string and assigns it to the Language field.
func (o *CampaignTargetContactsInner) SetLanguage(v string) {
	o.Language = &v
}

func (o CampaignTargetContactsInner) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o CampaignTargetContactsInner) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	if !IsNil(o.Id) {
		toSerialize["id"] = o.Id
	}
	if !IsNil(o.Language) {
		toSerialize["language"] = o.Language
	}
	return toSerialize, nil
}

type NullableCampaignTargetContactsInner struct {
	value *CampaignTargetContactsInner
	isSet bool
}

func (v NullableCampaignTargetContactsInner) Get() *CampaignTargetContactsInner {
	return v.value
}

func (v *NullableCampaignTargetContactsInner) Set(val *CampaignTargetContactsInner) {
	v.value = val
	v.isSet = true
}

func (v NullableCampaignTargetContactsInner) IsSet() bool {
	return v.isSet
}

func (v *NullableCampaignTargetContactsInner) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableCampaignTargetContactsInner(val *CampaignTargetContactsInner) *NullableCampaignTargetContactsInner {
	return &NullableCampaignTargetContactsInner{value: val, isSet: true}
}

func (v NullableCampaignTargetContactsInner) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableCampaignTargetContactsInner) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


